Bug 1276113 - [abrt] gnome-music: view.py:370:update_title:AttributeError: 'Albums' object has no attribute '_escaped_title'
[abrt] gnome-music: view.py:370:update_title:AttributeError: 'Albums' object ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-music (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gnome-sig
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a84aad6d8914951d6615c7da50a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 14:36 EDT by Eduardo Silva
Modified: 2016-12-20 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:12:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (537 bytes, text/plain)
2015-10-28 14:36 EDT, Eduardo Silva
no flags Details
File: environ (1.07 KB, text/plain)
2015-10-28 14:36 EDT, Eduardo Silva
no flags Details

  None (edit)
Description Eduardo Silva 2015-10-28 14:36:31 EDT
Description of problem:
Running under Wayland, Fedora 23.

The album finished playing in the Album view. I clicked Back and the program closed/crashed.

Version-Release number of selected component:
gnome-music-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python3 /usr/bin/gnome-music
executable:     /usr/bin/gnome-music
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
view.py:370:update_title:AttributeError: 'Albums' object has no attribute '_escaped_title'

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/gnomemusic/toolbar.py", line 144, in on_back_button_clicked
    self._window.views[0].update_title()
  File "/usr/lib/python3.4/site-packages/gnomemusic/view.py", line 370, in update_title
    self.header_bar.header_bar.set_title(self._escaped_title)
AttributeError: 'Albums' object has no attribute '_escaped_title'

Local variables in innermost frame:
self: <Albums>
Comment 1 Eduardo Silva 2015-10-28 14:36:36 EDT
Created attachment 1087304 [details]
File: backtrace
Comment 2 Eduardo Silva 2015-10-28 14:36:37 EDT
Created attachment 1087305 [details]
File: environ
Comment 3 Fedora End Of Life 2016-11-24 07:57:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:12:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.